/**
 * @file CodeReviewExercise21.cpp
 * @author Caleb Tomas Camargo Saavedra (caleb.camargo.s@uni.pe)
 * @brief exercise 21
 * @version 1.0
 * @date 28.01.2022
 * 
 */



/*******************************************************************************************************************************************
 *  												INCLUDE
 *******************************************************************************************************************************************/
#include <iostream>
#include "math.h"
using namespace std;

/*******************************************************************************************************************************************
 *  												GLOBAL VARIABLES
 *******************************************************************************************************************************************/
float distanciaMetrosInput=0.0;
float tiempoMinutos=0.0;
double velocidadKilometrosHora=0;

/*******************************************************************************************************************************************
 *  												FUNCTION DECLARATION
 *******************************************************************************************************************************************/
void Run();
void CollectData();
void Calculate();
void ShowResults();
double VelocidadKMH();

/*******************************************************************************************************************************************
 *  												MAIN
 *******************************************************************************************************************************************/

int main(){
	
	Run();
	
	return 0;
}

/*******************************************************************************************************************************************
*  												FUNCTION DEFINITION
*******************************************************************************************************************************************/

void Run(){
	CollectData();
	Calculate();
	ShowResults();
}
//=====================================================================================================

void CollectData(){
	cout<<"============Insert data============\r\n";
	cout<<"Ingrese la distancia recorrida en metros: ";
	cin>>distanciaMetrosInput;
	cout<<"Ingrese el tiempo empleado en minutos: ";
	cin>>tiempoMinutos;
}
//=====================================================================================================

void Calculate(){
	velocidadKilometrosHora=VelocidadKMH();
	
}
//=====================================================================================================

void ShowResults(){
	cout<<"\r\n============Show result============\r\n";
	cout<<"La velocidad es: ";
	cout<<"\n\t"<<velocidadKilometrosHora<<"km/h";
}
//=====================================================================================================

double VelocidadKMH(){
	double velocidad=distanciaMetrosInput/tiempoMinutos;
	velocidad=velocidad/1000*60;
	return velocidad;
	
}
//=====================================================================================================
